package com.persagy.apm.energy.report.monthly.outline.model.vo;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * @author lixing
 * @version V1.0 2021-05-17 11:09:38
 */
@Data
@ApiModel(value = "报告所属范围")
@JsonInclude(JsonInclude.Include.NON_NULL)
public class ResponseReportBelongItemVO {
    @ApiModelProperty("id")
    private String id;

    @ApiModelProperty("名称")
    private String name;

    @ApiModelProperty("是否可选 0-不可选 1-可选")
    private Integer selected;

    @ApiModelProperty("子级")
    private List<ResponseReportBelongItemVO> childs;

}
