package com.persagy.apm.energy.report.monthly.outline.constants.enums;

import com.persagy.apm.common.model.annotation.SwaggerDisplayEnum;

/**
 * 报告类型
 *
 * @author lixing
 * @version V1.0 2021/5/17 10:51 上午
 */
@SwaggerDisplayEnum
public enum ReportTypeEnum {
    /**
     * 报告类型
     */
    BUSINESS_PROJECT("1", "商业项目能耗月报"),
    HOTEL_PROJECT("2", "酒店项目能耗月报"),
    BUSINESS_AREA("3", "商业大区能耗月报"),
    HOTEL_AREA("4", "酒店集团能耗月报");

    private String type;
    private String desc;

    ReportTypeEnum(String type, String desc) {
        this.type = type;
        this.desc = desc;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getDesc() {
        return desc;
    }

    public void setDesc(String desc) {
        this.desc = desc;
    }
}
