package com.persagy.apm.energy.report.monthly.outline.service;


import com.baomidou.mybatisplus.core.metadata.IPage;
import com.persagy.apm.common.model.vo.EnumVO;

import java.util.List;

/**
 * 报告枚举类接口
 *
 * @author lixing
 * @version V1.0 2021/5/17 10:57 上午
 */
public interface IReportOutlineEnumService {
    /**
     * 报告状态枚举
     *
     * @return 报告状态枚举列表
     * @author lixing
     * @version V1.0 2021/5/17 11:32 上午
     */
    List<EnumVO> queryReportStateEnum();

    /**
     * 当前用户可用的报告类型
     *
     * @return 报告类型枚举列表
     * @author lixing
     * @version V1.0 2021/5/17 11:32 上午
     */
    IPage<EnumVO> queryReportTypeEnum();
}
